Previews current eligible recipients for a draft without changing routing or audit.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/file-protection/signal-recipients/preview"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"RowVersion\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"Rules\": [ { \"PolicyKind\": 0, \"Severity\": 1, \"Recipients\": [ { \"Kind\": 0, \"Id\": \"example\", \"DisplayName\": \"example\" } ], \"EligibleRecipientCount\": 1 } ] }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/file-protection/signal-recipients/preview';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"RowVersion":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","Rules":[{"PolicyKind":0,"Severity":1,"Recipients":[{"Kind":0,"Id":"example","DisplayName":"example"}],"EligibleRecipientCount":1}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/file-protection/signal-recipients/preview \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "Rules": [ { "PolicyKind": 0, "Severity": 1, "Recipients": [ { "Kind": 0, "Id": "example", "DisplayName": "example" } ], "EligibleRecipientCount": 1 } ] }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Atomically replaces all module recipient routing.
object
Recipient selections for one type and level, with current workspace eligible audience count.
object
An explicit role or responsibility-group recipient selection.
object
Atomically replaces all module recipient routing.
object
Recipient selections for one type and level, with current workspace eligible audience count.
object
An explicit role or responsibility-group recipient selection.
object
Atomically replaces all module recipient routing.
object
Recipient selections for one type and level, with current workspace eligible audience count.
object
An explicit role or responsibility-group recipient selection.
object
Responses
Section titled “Responses”OK
object
Module-wide delivery routing, independent from object rule enablement.
object
Recipient selections for one type and level, with current workspace eligible audience count.
object
An explicit role or responsibility-group recipient selection.
object
object
object
object
object
Example
{ "Data": { "Rules": [ { "PolicyKind": 0, "Severity": 1, "Recipients": [ { "Kind": 0 } ] } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}